#!/usr/bin/perl -w

# used to make csv file from Mik's engine-runtime log1.gz
# I'm not sure what he used to make this hex format
# from the raw 22 byty (unsynchronized!) binary capture. Look around the perl-scripts.

#print hex('ab');
#exit 0;

while($l = <>){

my @arr = split(/\s+/, $l);
my $i;
foreach $i (@arr){
	print hex($i) .';' ;
}
print "\n";

}